// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js

angular.module('starter', ['ionic', 'starter.controllers'])


.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
	
	/*****************/
	 if ( window.plugins && window.plugins.AdMob ) {
    	    var ad_units = {
				ios : {
					banner: 'ca-app-pub-9277561260132187/4264618158',
					interstitial: 'ca-app-pub-9277561260132187/7218084550'
				},
				android : {
					banner: 'ca-app-pub-9277561260132187/7908232154',
					interstitial: 'ca-app-pub-9277561260132187/9384965352'
				}
				
    	    };
    	    var admobid = "";
    	    if( /(android)/i.test(navigator.userAgent) ) {
    	    	admobid = ad_units.android;
    	    } else if(/(iphone|ipad)/i.test(navigator.userAgent)) {
    	    	admobid = ad_units.ios;
    	    } else {
    	    	admobid = ad_units.wp8;
    	    }
			

            window.plugins.AdMob.setOptions( {
                publisherId: admobid.banner,
                interstitialAdId: admobid.interstitial,
                bannerAtTop: false, // set to true, to put banner at top
                overlap: false, // set to true, to allow banner overlap webview
                offsetTopBar: false, // set to true to avoid ios7 status bar overlap
                isTesting: false, // receiving test ad
                autoShow: true // auto show interstitial ad when loaded
            });

           
		   window.plugins.AdMob.createBannerView();
		   window.plugins.AdMob.showAd(true);
			
			
		 
        } else {
            console.log( 'admob plugin not ready' );
        }
		
  });
})


	 
.config( function($stateProvider, $urlRouterProvider) {
   
  $stateProvider
  
  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/home.html",
    controller: 'defaultCntrl'
  })

 .state('home', {
	 cache: false, 
    url: "/home",
    templateUrl: "templates/home.html",
	controller: 'defaultCntrl'
  })
  
  .state('nudges', {
	cache: false, 
    url: "/nudges",
    templateUrl: "templates/nudges.html",
	 controller: 'nudgeDetailCntrl'
  })
  
  .state('nudge', {
	cache: false, 
    url: "/nudge/:nd/:sb",
    templateUrl: "templates/layout.html",
	 controller: 'getCMS'
  })
  
  .state('adventures', {
    url: "/adventures/:nd/:sb",
	views: {
      'menuContent': {
        templateUrl: "templates/view-content.html",
		controller: 'getCMS'
      }
    }
  })

  .state('challenges', {
    url: "/challenges/:nd/:sb",
    views: {
      'menuContent': {
        templateUrl: "templates/view-content.html",
		controller: 'getCMS'
      }
    }   
  })
  .state('position', {
    url: "/position/:nd/:sb",
	views: {
      'menuContent': {
        templateUrl: "templates/view-content.html",
		controller: 'getCMS'
      }
    }    
  })
  .state('resources', {
    url: "/resources/:nd/:sb",
    views: {
      'menuContent': {
        templateUrl: "templates/view-resources.html",
		controller: 'getCMS'
      }
    }   
  })
  .state('rules', {
    url: "/rules/:nd/:sb",
    views: {
      'menuContent': {
        templateUrl: "templates/view-content.html",
		controller: 'getCMS'
      }
    }   
  });
  
 
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider
  /*.when('/nudges', '/nudges')*/
  .otherwise('/home');
});
